3305 Main Street Ste 019 Vancouver, WA 98663

Supported Platforms

Supported Platforms

The currently supported operating systems and related software applications are listed below for each Event 1 Software product:

IMPORTANT: Support for Microsoft products excludes any version which has exceeded its product lifecycle as defined by Microsoft.

To determine the lifecycle for your Microsoft product(s),
Click here

Forecast

Required Software Support Versions
Microsoft Windows
  • Windows 2016 Server, 32-bit or 64-bit
  • Windows 10, 32-bit or 64-bit
  • Windows 2012 Server, 32-bit or 64-bit
  • Windows 8, 32-bit or 64-bit
  • Windows 2008 Server, 32-bit or 64-bit
  • Windows 2008 R2 Server, 32-bit or 64-bit
  • Windows 7, 32-bit or 64-bit
Microsoft Office
  • Office 365 - See KB article 2376
  • Excel 2016 (32-bit only) (See Knowledgebase Article)
  • Excel 2013 (32-bit only)
  • Excel 2010 (32-bit only)
Application Software
  • Sage 300 Construction and Real Estate - Version 15.1 through 18.1 (requires Job Cost)

Integrator

Required Software Support Versions
Microsoft Windows
  • Windows 2016 Server, 32-bit or 64-bit
  • Windows 10, 32-bit or 64-bit
  • Windows 2012 Server, 32-bit or 64-bit
  • Windows 8, 32-bit or 64-bit
  • Windows 2008 Server, 32-bit or 64-bit
  • Windows 2008 R2 Server, 32-bit or 64-bit
  • Windows 7, 32-bit or 64-bit
Sage 300 Construction and Real Estate
  • Sage 300 Construction and Real Estate - Version 15.1 through 18.1
    • Note - Support for version 15.1 (or higher) requires Integrator 2.92.0008 or higher. Support for version 16.1 requires Integrator 2.92.0012 or higher. Support for version 17.1 and above requires Integrator version 2.92.0020 or higher
Trimble Prolog Manager
  • Versions 7.0 through 7.50
  • Versions 2007 through 2008 R1 SP2
  • Versions 9.0x through 9.9x
    • Note - Support for Prolog 9.x requires Integrator 2.90 or higher
Microsoft SQL Server or SQL Express
  • Version 2005, 2008, 2008 R2, 2012, 2016

Liberty Reports

Required Software Support Versions
Microsoft Windows
  • Windows 2016 Server, 32-bit or 64-bit
  • Windows 10, 32-bit or 64-bit
  • Windows 2012 Server, 32-bit or 64-bit
  • Windows 8, 32-bit or 64-bit
  • Windows 2008 Server, 32-bit or 64-bit
  • Windows 2008 R2 Server, 32-bit or 64-bit
  • Windows 7, 32-bit or 64-bit
Microsoft Office
  • Office 365 - See KB article 2376
  • Excel 2016 (32-bit only) (See Knowledgebase Article)
  • Excel 2013 (32-bit only)
  • Excel 2010 (32-bit only)
Application Software
  • For use with Trimble Prolog Manager
    • Versions 6.0 through 2008 R2, and Prolog 8 through 9.9
  • For use with Microsoft SQL Server Databases
    • SQL Server
      • 2005
      • 2008 & 2008 R2
      • 2012
      • 2014
      • 2016
  • For use with Sage 100 Contractor - formerly Sage Master Builder
    • Versions 13 through 16
    • Version 17 - Supported starting with Liberty Reports version 1.0.29a
    • Version 18 - Supported starting with Liberty Reports version 1.0.41 (through version 18.3)
    • 2014 (Version 19)
    • 2016 (Version 20) - Supported starting with Liberty Reports version 1.0.68
    • 2017 (Version 20.5x-20.7x)
  • For use with Sage Estimating (SQL) NEW PRODUCT
    • Sage Estimating SQL - 17.13
    • Sage Estimating SQL - 17.12
    • Sage Estimating SQL - 17.11
Required

Office Connector

Required Software Support Versions
Microsoft Windows
  • Windows 2016 Server, 32-bit or 64-bit
  • Windows 10, 32-bit or 64-bit
  • Windows 2012 Server, 32-bit or 64-bit *
  • Windows 8, 32-bit or 64-bit *
  • Windows 2008 Server, 32-bit or 64-bit.
  • Windows 2008 R2 Server, 32-bit or 64-bit.
  • Windows 7, 32-bit or 64-bit.
* Requires Sage 300 Construction and Real Estate 13.1 or higher
Microsoft Office
  • Excel 2016 (32-bit only) (See Knowledgebase Article)
  • Excel 2013 (32-bit only)
  • Excel 2010 (32-bit only).
Application Software
  • Sage 300 Construction and Real Estate 8.0 through 18.1.
    • Sage 300 Construction and Real Estate 9.5 or higher is required to use Office Connector Import with JC Misc Worksheets
    • Sage 300 Construction and Real Estate 16.1 or higher requires a minimum of Office Connector 2.4.45 and Office Connector Import 1.1.47.
    • Sage 300 Construction and Real Estate 17.1 or higher requires a minimum of Office Connector 2.4.55 and Office Connector Import 1.1.53.
    • Sage 300 Construction and Real Estate 18.1 or higher requires a minimum of Office Connector Product Suite 2.4.59
    • Office Connector Import Version 1.0.26 or higher is required to import JC Misc Worksheets with Sage 300 Construction and Real Estate 9.8 or higher
Required